#
# spec file for package gnome-power-manager (Version 2.14.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpufrequtils cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-x11 desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel hwinfo info insserv intltool iso-codes klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnotify libnotify-devel libnscd libpng libpng-devel libsexy libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg notification-daemon openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel powersave powersave-devel powersave-libs procinfo procps psmisc pwdutils python rcs readline resmgr rpm scrollkeeper sed shared-mime-info strace sysfsutils sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-power-manager
BuildRequires:  gnome-common gnome-doc-utils gnutls-devel intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel libnotify-devel libwnck-devel mDNSResponder-devel perl-XML-Parser powersave-devel scrollkeeper update-desktop-files
Version:        2.14.0
Release:        25.10
URL:            http://gnome-power.sourceforge.net/
Group:          System/GUI/GNOME
License:        GPL
Summary:        Power Management for GNOME
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.0/%{name}-%{version}.tar.bz2
Source1:        gpm-icons.tar.bz2
Source2:        %{name}-po.tar.bz2
Patch:          gnome-power-manager-desktop.patch
Patch1:         gnome-power-manager-autostart.patch
Patch3:         gnome-power-manager-powersave-dbus.patch
Patch4:         gnome-power-manager-battery-removal.patch
Patch5:         gnome-power-manager-disable-actions.patch
Patch6:         gnome-power-manager-165471.patch
Patch7:         gnome-power-manager-prefs-layout.patch
Patch8:         gpm-zh_CN-translation.patch
Autoreqprov:    on
Requires:       hal dbus-1 gnome-screensaver notification-daemon
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME Power Manager is a session daemon that takes care of power
management.

GNOME Power Manager uses information provided by HAL to display icons
and handle system and user actions in a GNOME session. Authorized users
can set policy and change preferences.

GNOME Power Manager acts as a policy agent on top of the Project Utopia
stack, which includes the kernel, hotplug, udev, and HAL. GNOME Power
Manager listens for HAL events and responds with user-configurable
reactions.



Authors:
--------
    Richard Hughes <richard@hughsie.com>

%debug_package
%prep
%setup -b 1 -b 2
%patch
%patch1
%patch3 -p1
%patch4
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
# gnome-common intltool are needed only here
aclocal
automake -f -i
autoconf
intltoolize --force
CFLAGS="$RPM_OPT_FLAGS" \
./configure\
        --disable-schemas-install\
        --prefix=/opt/gnome\
        --libexecdir=/opt/gnome/lib/%{name}\
	--mandir=/opt/gnome/share/man\
	--sysconfdir=/etc/opt/gnome\
        --with-dbus-sys=/etc/dbus-1/system.d\
        --with-dbus-services=/usr/share/dbus-1/services\
        --disable-scrollkeeper\
	--enable-libnotify
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
cp -r ../gpm-icons/*.png $RPM_BUILD_ROOT/opt/gnome/share/gnome-power-manager/
%suse_update_desktop_file gnome-power-preferences System X-SuSE-ControlCenter-System
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gnome-power-manager.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
/opt/gnome/bin/*
%config /opt/gnome/share/autostart/*.desktop
/opt/gnome/share/applications/*.desktop
/opt/gnome/share/gnome-power-manager
/opt/gnome/share/omf/gnome-power-manager
/etc/opt/gnome/gconf/schemas/*.schemas
%dir /etc/dbus-1/system.d
%config /etc/dbus-1/system.d/gnome-power-manager.conf
%config /usr/share/dbus-1/services/gnome-power-manager.service

%changelog -n gnome-power-manager
* Mon Jun 26 2006 - gekker@suse.de
- Update translations for cs de es fr it ja pt_BR zh_CN zh_TW
* Fri Jun 16 2006 - gekker@suse.de
- Update translations for hu
* Thu Jun 08 2006 - gekker@suse.de
- Update translations for zh_CN for zsu (#179552)
* Tue Jun 06 2006 - rodrigo@suse.de
- Fixed layout of baterry preferences page (#179110)
* Fri Apr 21 2006 - rodrigo@suse.de
- Added patch that makes gpm respond correctly to systray crashes
  (#165471)
* Thu Apr 13 2006 - sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of old ones.
- File list fix.
* Mon Apr 03 2006 - rodrigo@suse.de
- Return NOT_YET_HANDLED for dbus messages we don't handle in the
  powersave_filter_function (#162807).
* Fri Mar 31 2006 - rodrigo@suse.de
- Added code to query the powersave daemon for suspend/hibernate
  availability. And added a button to open yast power management
  applet (#158105)
* Fri Mar 31 2006 - rodrigo@suse.de
- Added gnome-power-manager-disable-actions.patch to disable
  handling of powersave button events (#157477).
* Wed Mar 29 2006 - dobey@suse.de
- Update icons tarball with 24x24 icons instead of 22x22, this
  changed upstream for the 2.14 release to 24x24, so we need to
  use this size to avoid blurry icons
* Mon Mar 27 2006 - rodrigo@suse.de
- Updated gnome-power-manager-powersave-dbus.patch to handle
  apropriate signals from powersave dbus interface (#157477)
- Updated icons tarball with new art from UI team.
* Mon Mar 20 2006 - rodrigo@suse.de
- Added gnome-power-manager-battery-removal.patch, fixes #158682.
* Tue Mar 14 2006 - rodrigo@suse.de
- Updated to latest upstream release, which fixes the HAL part of
  [#150042].
- Updated gnome-screensaver-autostart.patch.
* Fri Mar 03 2006 - rodrigo@suse.de
- Updated to 2.13.92, which fixes several bugs (#140871, #153594)
- Removed upstreamed patch.
* Mon Feb 27 2006 - rodrigo@suse.de
- Establish connection to D-BUS powersave interface (#6196)
* Tue Feb 21 2006 - dobey@suse.de
- Update new artwork
- Fixes missing new artwork for a couple of status icons and about
  box logo image
* Tue Feb 21 2006 - dobey@suse.de
- Add in new icon artwork
* Thu Feb 09 2006 - jpr@suse.de
- Pass extra param to prevent crash (#144346)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - rodrigo@suse.de
- Reenable libnotify support.
* Mon Jan 23 2006 - rodrigo@suse.de
- Use --sm-disable when running autostarted daemon.
* Wed Jan 18 2006 - gekker@suse.de
- Disable scrollkeeper update during build
* Tue Jan 17 2006 - mls@suse.de
- xsltproc -> libxslt
* Tue Jan 17 2006 - rodrigo@suse.de
- Added xsltproc to neededforbuild.
* Tue Jan 17 2006 - rodrigo@suse.de
- Updated to 0.3.4 releases.
- Removed obsolete patch.
- Fixed package dependencies and build problems.
* Mon Dec 12 2005 - jpr@suse.de
- Update to cvs snapshot to work with latest hal
- Temporarily disable libnotify support
* Wed Nov 09 2005 - rodrigo@suse.de
- Added X-GNOME-Autostart-enabled flag to autostart .desktop file.
- Made autostart .desktop file %%config.
* Wed Nov 09 2005 - rodrigo@suse.de
- Added gnome-session-autostart.patch to include needed files for
  autostart implementation.
* Mon Oct 24 2005 - ro@suse.de
- added hal to nfb
* Tue Oct 04 2005 - rodrigo@suse.de
- Added gnome-power-manager-desktop.patch, to show the icon in the
  GNOME control center.
* Mon Oct 03 2005 - rodrigo@suse.de
- Update to version 0.2.6.
- Removed upstreamed patches.
* Thu Sep 22 2005 - gekker@suse.de
- Use RPM_OPT_FLAGS
- Fix uninitialized variables
- Fix strict aliasing
* Thu Sep 22 2005 - rodrigo@suse.de
- Update to version 0.2.4.
- Added 64bit patch.
* Wed Sep 21 2005 - rodrigo@suse.de
- Created template.
